Summary:	A sophisticated file transfer program
Name:		lftp 
Version:	2.6.10
Release:	1.5.1
License:	GPL
Group:		Applications/Internet
Source0:	http://ftp.yars.free.net/pub/software/unix/net/ftp/client/lftp/lftp-%{version}.tar.bz2
Patch0:		lftp-2.6.10-malformed.patch
URL:		http://lftp.yar.ru/
BuildPrereq:	ncurses-devel, openssl-devel, readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
LFTP is a sophisticated ftp/http file transfer program. Like bash, it has job
control and uses the readline library for input. It has bookmarks, built-in
mirroring, and can transfer several files in parallel. It is designed with
reliability in mind.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO
  %attr(0444,root,root)	%doc %{_mandir}/*/*

  %attr(0640,root,root)	%config %{_sysconfdir}/lftp.conf

  %attr(0555,root,root)	%{_bindir}/*
  %attr(0555,root,root)	%{_datadir}/lftp/*

  %attr(0555,root,root)	%dir %{_libdir}/lftp
  %attr(0555,root,root)	%dir %{_libdir}/lftp/%{version}
  %attr(0555,root,root)	%{_libdir}/lftp/%{version}/*.so

%prep
%setup -q
%patch0 -p1

%build
  export CPPFLAGS=`pkg-config --cflags openssl`
  export LDFLAGS=`pkg-config --libs-only-L openssl`
  export LDFLAGS="-L`pwd`/src/.libs $LDFLAGS"

  %configure --with-modules --disable-static --with-ssl --with-debug
  export tagname=CC
  make LIBTOOL=%{_bindir}/libtool

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export tagname=CC
  %makeinstall LIBTOOL=%{_bindir}/libtool

  rm -f $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.la
  chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lftp/*
  chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.so

  # Remove files from $RPM_BUILD_ROOT that we aren't shipping.
  rm -f $RPM_BUILD_ROOT%{_libdir}/lftp/%{version}/*.a

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 04 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.10, Release 1.5.1
  - Initial build for EnGarde.
